# writeTo

abstract fun writeTo(writer: Writer): DeploymentDescriptor

Writes the deployment descriptor into a writer.

#### Return

this

#### Parameters

writer

The writer to write the deployment descriptor to

abstract fun writeTo(path: Any): DeploymentDescriptor

Writes the deployment descriptor into a file. The paths are resolved as defined by file

#### Return

this

#### Parameters

path

The path of the file to write the deployment descriptor into.